// UniRand.h
#ifndef INCLUDED_UNIRAND_H_
#define INCLUDED_UNIRAND_H_
#include <random>
class UniRand
{
public:
    UniRand();       // constructor
    UniRand(double a, double b); // constructor
    ~UniRand(){};    // destructor
    double rand();
private:
    std::mt19937 engine; // Mersenne Twister
    std::uniform_real_distribution<double> distribution;
};
#endif
